OCS 2007 R2 on Windows Server 2008 R2

Supportability is available for Office Communications Server 2007 R2 member server role on a Windows Server 2008 R2 operating system.  Details at http://support.microsoft.com/kb/982021

Comments (6)

  1. jkruse says:

    No probs Dan – happy to share the news 🙂

    I don’t think you guys are using Group Chat?  But if so – make sure you note that part.

  2. DanKennedy says:

    Thanks Johann. We’ve been waiting for this !! 🙂 🙂 🙂

  3. Willie says:

    hi johann..

    what about the supportability for conference in communicator?

    i was unable to create conference chat in communicator.. some said that it’s because ocs 2007 r2 is not fully supported on w2k8 r2..

    the supportability provided now is only for group chat and fresh installation right?

  4. Rocky says:


    While installing Office Communication Server 2007 R2 in Windows Server 2008 R2, I am getting following exception "Microsoft .NET framework 3.5 needs to be installed." Where as I have it installed already in windows 2008 R2.

    Any help would be appreciated?




  5. DuyTran says:

    Actually, there are 2 steps that you need to do to overcome the issue:

    In Server Manager/Add roles. Check on 2 checkbox:

    + Application Server

    + Web Server.

    There are .NET frame work check boxes appear on each role. Check all the check boxes that have ".NET" .

    Wish you success.


    Duy tran

  6. ojcusa says:


    did you test it? Did you make you conference works on w2k8 r2?